% Concatenates the distributed Ndt files (for each processor) into one big Ndt file
%
% Arthur Asuncion

P = 4;

currCounts = [];

for p=0:(P-1)

  doc_topic_counts = sparsereadFloat(['Ndt.',int2str(p),'.txt']);  
  D = size(doc_topic_counts, 1); % # of distinct docs in file
  T = size(doc_topic_counts, 2); % # of topics

  currCounts = [currCounts; doc_topic_counts];

end

sparsewriteFloat(currCounts,'Ndt.txt');
